[<p align="right">->Back to directory</p>](0.directory.md)  

## Memcache data import
We find the [Memcache_Client] section in the configuration file. To set it up.  

## [Memcache_Client]
### Turn on importing data from memcache
* Whether to enable query for non-existent data, query from memcache and save it in the local database. 0 means not open.
>Get_data_from_memcache 0

### List of memcache queried
* The "|" symbol interval is required between different nodes. For example: 127.0.0.1:11211|192.168.0.77:11211. The default value is empty.
>Memcache_list 

### Expiration time of imported data
* Set an expiration time for the key stored in the local database from memcache. The default is 0, which will never expire. The unit is seconds.
>Get_memcache_data_set_expire_time 0

### MemcacheClient client request settings
* When Max_Error_Number exceeds the limit value, MemcacheClient requests to "pause" the Sleeptime value to optimize the response speed of the program.
* Sleeptime represents sleep time, in seconds, the default minimum sleep is 2 seconds.
* Max_Error_Number represents the maximum number of failed requests, the unit is an integer, and the default minimum error request is 2 times.
>MemcacheClient_Request_Timeout_Sleeptime 2

>MemcacheClient_Request_Max_Error_Number 2

With the above configuration, the data requested by the "get" command is queried from the memcache and stored in the local database if the local database does not exist.

## Redis data import
We find the [Redis_Client] section in the configuration file. To set it up.  

## [Redis_Client]
### Turn on importing data from Redis
* Whether to open the query for non-existent data, query from redis and save it in the local database. 0 means not open.
>Get_data_from_redis 0

### The Redis address to be queried
* Cannot be a null value.  
>Redis_Addr 

### Redis password to be queried
* Cannot be a null value.  
>Redis_Password 

### Need to query Redis database
* Default is 0
>Redis_DB 0

### Expiration time of imported data
* Set an expiration time for the key stored in the local database from Redis. The default is 0, which will never expire. The unit is seconds.
>Get_redis_data_set_expire_time 0

### MemcacheClient client request settings
* The RedisClient client requests settings. When Max_Error_Number exceeds the limit value, RedisClient requests to "pause" the Sleeptime value to optimize the response speed of the program.
* Sleeptime represents sleep time, in seconds, the default minimum sleep is 2 seconds.
* Max_Error_Number represents the maximum number of failed requests, the unit is an integer, and the default minimum error request is 2 times.
>RedisClient_Request_Timeout_Sleeptime 2

>RedisClient_Request_Max_Error_Number 2

With the above configuration, the data requested by the "get" command is queried from the redis(string) and stored in the local database if the local database does not exist.