[<p align="right">->Back to directory</p>](../0.directory.md)

# Set the Key value

* TCP  
Command: `set <key> <value>\n`  
Note: Repeat setting a Key for updates.
~~~shell
set hello world\n
~~~

* HTTP  
>⚠⚠⚠When adding and modifying data, it is recommended to follow the HTTP protocol and use a professional client for post submission to avoid data inconsistency caused by transmission coding. This is just a demonstration.  


<table>
    <tr>
        <td>parameter name</td>
        <td>parameter value</td>
    </tr>
    <tr>
        <td>cmd</td>
        <td>set</td>
    </tr>
    <tr>
        <td>key</td>
        <td>key name</td>
    </tr> 
    <tr>
        <td>exptime</td>
        <td>set the expiration time for the key. Optional parameters. The unit is seconds and the default is 0.</td>
    </tr>  
    <tr>
        <td>valuedata</td>
        <td>value content</td>
    </tr> 
    <tr>
        <td>token</td>
        <td>token value</td>
    </tr> 
 
</table> 

~~~shell
http://127.0.0.1:7721/data/?cmd=set&key=hello&valuedata=world&token=MDZhZDYzYzZkOTYwYjM3YTFlY2M0NTVhZWZjMzJkNmU=
~~~  
or
~~~shell
http://127.0.0.1:7721/data/?cmd=set&key=hello&valuedata=world&exptime=60&token=MDZhZDYzYzZkOTYwYjM3YTFlY2M0NTVhZWZjMzJkNmU=
~~~
<br>

Response result example:
~~~shell
{
    "Cmd": "set",
    "Status": 200,
    "Results": "SUCCESS",
    "Key": "hello",
    "Data": "",
    "ResponseHost": "127.0.0.1:7721",
    "KeyCreateTime": "2021-11-09T14:18:01.7834338+08:00"
}
~~~

The above content is a demonstration, it is recommended to use POST for `set`.  
In owlcache, the value data storage type at the bottom of the system is byte.  