[<p align="right">->返回目录</p>](../0.directory.md)

# 设置Key值  

* TCP  
命令: `set <key> <value>\n`  
注意:重复设置一个Key代表更新。
~~~shell
set hello world\n
~~~

* HTTP 
>⚠⚠⚠在添加和修改数据时，建议遵循HTTP协议，并使用专业客户端进行后期提交，以避免传输编码导致数据不一致。这只是一个示范。  
 
<table>
    <tr>
        <td>请求参数</td>
        <td>参数值</td>
    </tr>
    <tr>
        <td>cmd</td>
        <td>set</td>
    </tr>
    <tr>
        <td>key</td>
        <td>key名称</td>
    </tr> 
    <tr>
        <td>exptime</td>
        <td>同时为key设置过期时间。可选参数。单位为秒，默认值为0。</td>
    </tr> 
    <tr>
        <td>valuedata</td>
        <td>value值</td>
    </tr>  
    <tr>
        <td>token</td>
        <td>token值</td>
    </tr> 
 
</table> 

~~~shell
http://127.0.0.1:7721/data/?cmd=set&key=hello&valuedata=world&token=MDZhZDYzYzZkOTYwYjM3YTFlY2M0NTVhZWZjMzJkNmU=
~~~
或者  
~~~shell
http://127.0.0.1:7721/data/?cmd=set&key=hello&valuedata=world&exptime=60&token=MDZhZDYzYzZkOTYwYjM3YTFlY2M0NTVhZWZjMzJkNmU=
~~~
<br>

响应结果例子:
~~~shell
{
    "Cmd": "set",
    "Status": 200,
    "Results": "SUCCESS",
    "Key": "hello",
    "Data": "",
    "ResponseHost": "127.0.0.1:7721",
    "KeyCreateTime": "2021-11-09T14:18:01.7834338+08:00"
}
~~~

以上内容为演示，建议采用POST的方式进行`set`。  
在owlcache中，系统底层的value数据存储类型是byte。  